"use client";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../chunk-BN4qSVkS.cjs");
const require_components_typography_base_Headline = require("./base/Headline.cjs");
const require_utils_toReactNodes_toReactNodes = require("../../utils/toReactNodes/toReactNodes.cjs");
let _emotion_react_jsx_runtime = require("@emotion/react/jsx-runtime");
//#region src/components/typography/Headline.tsx
function Headline(props) {
	const propsWithDefaults = require_components_typography_base_Headline.getPropDefaults(props);
	let reactNodes = props.children || null;
	if (props.content) reactNodes = require_utils_toReactNodes_toReactNodes.toReactNodes(props.content);
	return /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(require_components_typography_base_Headline.StyledHeadline, {
		...propsWithDefaults,
		children: reactNodes
	});
}
//#endregion
exports.Headline = Headline;
